"""
Rhythm-makers.
"""

from ._version import __version__, __version_info__
from .classes import Incise, Interpolation, Spelling, Talea
from .functions import (
    after_grace_container,
    attach_time_signatures,
    beam,
    beam_groups,
    before_grace_container,
    denominator,
    duration_bracket,
    example,
    extract_rest_filled,
    extract_trivial,
    feather_beam,
    force_augmentation,
    force_diminution,
    force_fraction,
    force_note,
    force_repeat_tie,
    force_rest,
    hide_skip_filled,
    hide_trivial,
    interpolate,
    invisible_music,
    nongrace_leaves_in_each_tuplet,
    on_beat_grace_container,
    reduce_multiplier,
    repeat_tie,
    rewrite_dots,
    rewrite_meter,
    rewrite_rest_filled,
    rewrite_sustained,
    split_measures,
    swap_length_1,
    swap_skip_filled,
    swap_trivial,
    tie,
    time_signatures,
    tremolo_container,
    trivialize,
    unbeam,
    untie,
    wrap_in_time_signature_staff,
    written_duration,
)
from .makers import (
    accelerando,
    even_division,
    incised,
    multiplied_duration,
    note,
    talea,
    tuplet,
)

__all__ = [
    "__version__",
    "__version_info__",
    "Incise",
    "Interpolation",
    "Spelling",
    "Talea",
    "accelerando",
    "after_grace_container",
    "attach_time_signatures",
    "beam",
    "beam_groups",
    "before_grace_container",
    "denominator",
    "duration_bracket",
    "even_division",
    "example",
    "extract_rest_filled",
    "extract_trivial",
    "feather_beam",
    "force_augmentation",
    "force_diminution",
    "force_fraction",
    "force_note",
    "force_repeat_tie",
    "force_rest",
    "hide_skip_filled",
    "hide_trivial",
    "incised",
    "interpolate",
    "invisible_music",
    "multiplied_duration",
    "nongrace_leaves_in_each_tuplet",
    "note",
    "on_beat_grace_container",
    "reduce_multiplier",
    "repeat_tie",
    "rewrite_dots",
    "rewrite_meter",
    "rewrite_rest_filled",
    "rewrite_sustained",
    "split_measures",
    "swap_length_1",
    "swap_skip_filled",
    "swap_trivial",
    "talea",
    "tie",
    "time_signatures",
    "tremolo_container",
    "trivialize",
    "tuplet",
    "unbeam",
    "untie",
    "wrap_in_time_signature_staff",
    "written_duration",
]
